<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Линейные градиенты</title>
	<link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap" rel="stylesheet">
</head>
<style>
	body {
		margin: 0;
		font-size: 16px;
		font-family: 'Roboto', sans-serif;
	}

	img {
		max-width: 100%
	}

	a {
		text-decoration: none;
	}

	p {
		padding: 0;
		margin: 0;
	}

	html {
		box-sizing: border-box;
	}

	*, *:before, *:after {
		box-sizing: inherit;
	}

	.container {
		margin: 0 auto;
		width: 1170px;
	}

	.example {
		position: relative;
		padding: 10px;
		width: 100%;
		height: 400px;
		border: 1px solid #000
	}

	.example:not(:last-child) {
		margin-bottom: 26px;
	}


	.example_1 {
		background-image: linear-gradient(orangered, gold);
	}

	.example.top {
		background-image: linear-gradient(to top, purple, crimson, orangered, gold);
	}

	.example.right {
		background-image: linear-gradient(to right, purple, crimson, orangered, gold);
	}

	.example.bottom {
		background-image: linear-gradient(to bottom, purple, crimson, orangered, gold);
	}

	.example.left {
		background-image: linear-gradient(to left, purple, crimson, orangered, gold);
	}

	.example.top-left {
		background-image: linear-gradient(to top left, purple, crimson, orangered, gold);
	}

	.example.top-right {
		background-image: linear-gradient(to top right, purple, crimson, orangered, gold);
	}

	.example.bottom-left {
		background-image: linear-gradient(to bottom left, purple, crimson, orangered, gold);
	}

	.example.bottom-right {
		background-image: linear-gradient(to bottom right, purple, crimson, orangered, gold);
	}

	.example.top-right_ {
		background-image: linear-gradient(to top right, purple 10%, crimson 30%, orangered 50%, gold 75%);
	}

	.example.deg45_ {
		background-image: linear-gradient(45deg, purple 15%, crimson 30%, orangered 50%, gold 75%);
	}

	.example.pixels {
		background-image: linear-gradient(to right, yellowgreen 15%, gold 25%);
	}

	.example.percents {
		background-image: linear-gradient(to right, purple 2em, crimson 3em, orangered 7em, gold 12em);
	}

	.example.negative {
		background-image: linear-gradient(to right, skyblue -50%, purple 150%);
	}

	.example.two {
		background-image: linear-gradient(to right, mediumorchid 50%, orchid 50%);
	}

	.example.four {
		background-image: linear-gradient(to right,
		#63A69F 20%,
		#F2E1AC 20%, #F2E1AC 40%,
		#F2836B 40%, #F2836B 60%,
		#F2594B 60%, #F2594B 80%,
		#CD2C24 80%);
	}

	.example.grad-1 {
		background-image: repeating-linear-gradient(
				green, green .5em,
				transparent .5em, transparent 1em);
		background-image-color: yellowgreen;
	}

	.example.grad-2 {
		background-image: repeating-linear-gradient(90deg,
		green, green .5em,
		transparent .5em, transparent 1em);
		background-image-color: yellowgreen;
	}


</style>
<body>
<main>
	<section class="container">
		<div style="background-image-color: #FFEDBB" class="example example_1">
			div 1
		</div>
		<div class="example top">
			top
		</div>
		<div class="example right">
			right
		</div>
		<div class="example bottom">
			bottom
		</div>
		<div class="example left">
			left
		</div>
		<div class="example top-left">
			top-left
		</div>
		<div class="example top-right">
			top-right
		</div>
		<div class="example bottom-left">
			bottom-left
		</div>
		<div class="example bottom-right">
			bottom-right
		</div>
		<h2>
			<code>
				deg
			</code>
		</h2>
		<div class="example top-right_">
			to top right
		</div>
		<div class="example deg45_">
			45deg
		</div>
		<h2>
			<code>
				Управление положением цветов
			</code>
		</h2>
		<div class="example pixels">
			linear-gradient(to right, yellowgreen 15%, gold 25%)
		</div>
		<div class="example percents">
			linear-gradient(to right, purple 2em, crimson 3em, orangered 7em, gold 12em)
		</div>
		<div class="example negative">
			linear-gradient(to right, skyblue -50%, purple 150%)
		</div>
		<div class="example two">
			two
		</div>
		<div class="example four">
			four
		</div>
		<h2>
			<code>
				repeating-linear-gradient
			</code>
		</h2>
		<div class="example grad-1">

		</div>
		<div class="example grad-2 ">

		</div>
	</section>
</main>
</body>
</html>
